precision mediump float;

varying vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform mat4 u_projTrans;
uniform float time;

void main(void) {
       vec2 coords = v_texCoords;
       coords.x = time * 3.14 + coords.x;
       coords.y = sin(coords.x * 4.0) / 16.0 + coords.y - 0.15;
       gl_FragColor = v_color * texture2D (u_texture, coords);
}