precision mediump float;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform vec4 tintColor;
uniform bool lightTex;
uniform float alpha;

varying vec2 v_texCoords;

void main()
{
	vec4 variation = texture2D(u_texture, v_texCoords);
	vec4 mask = texture2D(u_texture1, v_texCoords);
	variation.a *= mask.a * alpha;
	gl_FragColor = variation;
}